Jump to content

  •  

CNers have asked about a donation box for Cloudy Nights over the years, so here you go. Donation is not required by any means, so please enjoy your stay.

Photo

Skywatcher EQ Mounts and Synscan Handsets

equipment mount
  • Please log in to reply
2 replies to this topic

#1 Stevie B

Stevie B

    Lift Off

  • -----
  • topic starter
  • Posts: 2
  • Joined: 25 Jan 2021
  • Loc: Leicestershire UK

Posted 25 January 2021 - 06:08 PM

Hello all. Can anyone help as I am confused, my new Skywatcher HEQ5 has a v5 Synscan handset that has v4.39.12 firmware installed on it, when I check on Skywatcher firmware web page there is no 4.39.12 ??
There is a 4.39.10 and a 4.39.15 but no 4.39.12 and if you search on the internet no info comes up ?

 

My old v3 handset from my old Skywatcher EQ5 is up to date with v3.39.15 firmware and works fine on my EQ5. Is it safe to use my old v3 handset on my new HEQ5 ? I don’t want to try to upgrade the v5 until it is a little older but I do miss that bleep when the mount ends a command, not sure why v4 and v5 handsets have this feature removed.

 

I know the main reason for the end of v3 Synscan handsets was as there was supply problems with electrical components over the years there was a mixture of chips used causing compatibility issues. I myself had problems some time ago, It must have been hard for them trying to make the firmware run the same on different chip setups. The latest firmware work perfect on my old v3 handset.

 

Not sure why I had a v5 handset with my ne HEQ5 but when I tried to order my mount in September I was told that China was about 3 months behind with production. I finally managed to make my order in November it arrived just before Christmas but as I requested the Rowan Belt mod I received it on the 12th of January. I have not really had chance to give it a good test but I am very impressed with how smooth, quite and study it is and most impressive of all there is no backlash ? 

 
It is a big improvement from my old EQ5 that was very noisy and never had less than about 7 seconds backlash. Making Auto guiding hard work.



#2 bignerdguy

bignerdguy

    Viking 1

  • *****
  • Posts: 613
  • Joined: 31 Oct 2019
  • Loc: Lewisville, TX

Posted 26 January 2021 - 02:36 PM

There is no reason why the .12 firmware wont work for you.  Unless you have an error or issue you need to correct I would recommend not updating it.  However if you are like me and always want the newest and latest installed, then by all means update it.  the v3 controller will work on that mount but you will lose some features, most notably the USB port on the controller.  I have the Orion Sirius EQ-G with a v3 controller (what i came with) so I know that model mount will work with the v3 HC.  The reason the v.12 firmware isn't listed on their site is that they have newer revisions available and there is no reason to post an older firmware other than the original one which would probably be the v.10 one.


  • Stevie B likes this

#3 Stevie B

Stevie B

    Lift Off

  • -----
  • topic starter
  • Posts: 2
  • Joined: 25 Jan 2021
  • Loc: Leicestershire UK

Posted 27 January 2021 - 01:38 PM

There is no reason why the .12 firmware wont work for you.  Unless you have an error or issue you need to correct I would recommend not updating it.  However if you are like me and always want the newest and latest installed, then by all means update it.  the v3 controller will work on that mount but you will lose some features, most notably the USB port on the controller.  I have the Orion Sirius EQ-G with a v3 controller (what i came with) so I know that model mount will work with the v3 HC.  The reason the v.12 firmware isn't listed on their site is that they have newer revisions available and there is no reason to post an older firmware other than the original one which would probably be the v.10 one.

Thanks for sharing your info, yes I guess you are right the 4.39.12 firmware must be factory installation, I did not think of that. When I inquired about my new HEQ5 coming with a v5 Handset I was told there was a reason for the change. Think I saw it somewhere that there was a bug in the v4 Hardware ? when I ordered my mount before Christmas it was displayed with the v4 Handset so That is what I was expecting but after all the Synscan Handset is just a tool for inputting commands to the Mount. Most of the time I used a EQMOD for wide angle work but my old EQ5 had lots of Backlash. With the later Skywatcher firmware updates my v3 Handset preformed perfect. 

I know the reason for the end of v3 handsets was as the manufacturer had problems with supply of electrical components causing them to use a mixture of chipsets. That gave some compatibility issues with some configurations ( controller boards and handsets)

I had problems myself in the early days with firmware updates not working. I found it was as my mount was a EQ4 and I upgraded it with a EQ5 Synscan upgrade Kit about 2006, the time when v2 was discontinued, I had a v3 handset  but the mount had v1 motor controller board an early stepping motors.

I will have to check for missing features when using the v3 handset, I can live without the USB link as could use my old EQMOD, I have all the drivers ASCOM and EQASCOM software, my old Laptop has Windows 7 it runs fine but have to use v1.2 drivers with Windows 10 as Microsoft Windows update puts drivers on that do not support the old PL2303 HXA chipset EQMOD.

I am not new to Astronomy, I had my first Telescope in 1972 after being pulled in by the glory of the Apollo Moon landing but I am a little out of date with software and hardware, I have been using the old EQ5 since 2003 then Synscan from 2006. Only needed better mount to do Astrophotography.

 

Thanks Again.


  • bignerdguy likes this


CNers have asked about a donation box for Cloudy Nights over the years, so here you go. Donation is not required by any means, so please enjoy your stay.


Recent Topics





Also tagged with one or more of these keywords: equipment, mount



Cloudy Nights LLC
Cloudy Nights Sponsor: Astronomics